TestPropertyMessageResources (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class TestPropertyMessageResources

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.util.TestPropertyMessageResources

All Implemented Interfaces:
  junit.framework.Test

    public class TestPropertyMessageResources

extends junit.framework.TestCase

Unit tests for PropertyMessageResources.

Version:
  $Revision: 480549 $

Constructor Summary
`TestPropertyMessageResources(String name)`

Method Summary
`void` | `commonTests(MessageResources resources)` Tests with common expected results
`static void` | `main(String[] args)`
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testDefaultMode()` Test Struts default PropertyMessageResources behaviour
`void` | `testJstlMode()` Test JSTL compatible PropertyMessageResources behaviour
`void` | `testResourceBundleMode()` Test "PropertyResourceBundle" compatible PropertyMessageResources behaviour

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestPropertyMessageResources

    public TestPropertyMessageResources(String name)

Method Detail

### main

    public static void main(String[] args)

### suite

    public static junit.framework.Test suite()

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testDefaultMode

    public void testDefaultMode()

  Test Struts default PropertyMessageResources behaviour

### testJstlMode

    public void testJstlMode()

  Test JSTL compatible PropertyMessageResources behaviour

### testResourceBundleMode

    public void testResourceBundleMode()

  Test "PropertyResourceBundle" compatible PropertyMessageResources behaviour

### commonTests

    public void commonTests(MessageResources resources)

  Tests with common expected results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.